### Method

# Atk Plug set_child

since: 2.35.0

#### Declaration [src]

    void
    atk_plug_set_child (
      AtkPlug* plug,
      AtkObject* child
    )

#### Description [src]

Sets `child` as accessible child of `plug` and `plug` as accessible parent of `child`. `child` can be NULL.

In some cases, one can not use the AtkPlug type directly as accessible object for the toplevel widget of the application. For instance in the gtk case, GtkPlugAccessible can not inherit both from GtkWindowAccessible and from AtkPlug. In such a case, one can create, in addition to the standard accessible object for the toplevel widget, an AtkPlug object, and make the former the child of the latter by calling atk_plug_set_child().

Available since: 2.35.0

#### Parameters

`child`

  Type: `AtkObject`

  An `AtkObject` to be set as accessible child of `plug`.

  The data is owned by the caller of the method.